com.mysql.cj.protocol

## Interface ResultBuilder<T>

Type Parameters:
  `T` - result type

    public interface ResultBuilder<T>

Classes implementing this interface are responsible for building result of specific type from incoming ProtocolEntity objects.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `addProtocolEntity(ProtocolEntity entity)` Add ProtocolEntity.
`T` `build()` Build the result using already added protocol instances.

### Method Detail

#### addProtocolEntity

    boolean addProtocolEntity(ProtocolEntity entity)

Add ProtocolEntity.

Parameters:
  `entity` - `ProtocolEntity` object
Returns:
  true - if this builder is ready for building the result; false - if another ProtocolEntity is required

#### build

    T build()

Build the result using already added protocol instances.

Returns:
  `T` instance

Copyright © 2016, 2023, Oracle and/or its affiliates.